# IpeStrokeStyle Class Reference
[Ipe Attributes]

Encapsulates line join, line cap, and eofill vs windfill rule. More...

List of all members.

## Public Types

- enum { EMiterJoin = 0, ERoundJoin, EBevelJoin }
- enum { EButtCap = 0, ERoundCap, ESquareCap }

## Public Member Functions

- IpeStrokeStyle ()
- IpeAttribute Join () const
- IpeAttribute Cap () const
- IpeAttribute WindRule () const
- void SetJoin (int val)
- void SetCap (int val)
- void SetWindRule (bool wind)

## Detailed Description

Encapsulates line join, line cap, and eofill vs windfill rule.

This class encapsulates three IpeAttributes in the space of one `int`.

## Member Enumeration Documentation

anonymous enum

| Line join style.

anonymous enum

| Line cap style.

## Constructor & Destructor Documentation

IpeStrokeStyle::IpeStrokeStyle | ( |  | ) | `[inline]`

| Constructor creates all null attributes.

The documentation for this class was generated from the following files:

- ipecolor.h
- ipecolor.cpp